---
title: Media
layout: home
---

# Media Object
A simple media object used for repetitive components such as blog comments, tweets and
{: .lead }

<div class="row">
  <div class="column -xs-12">
    <div class="media">
      <img class="image" src="http://placehold.it/40x40"/>
      <div class="body">
        <h4 class="heading">Media heading</h4>
        <p>Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.</p>
      </div>
    </div>
  </div>
</div>

~~~
<div class="media">
  <img class="image" src=".." />
  <div class="body">
    <h4 class="heading">Media heading</h4>
    <p>This paragraph is inside the media body.</p>
  </div>
</div>
~~~


## Nesting
Media objects can be infinitely nested, though we suggest you stop at some point. Place nested .media within the .media-body of a parent media object.

<div class="row">
  <div class="column -xs-12">
    <div class="media">
      <img class="image" src="http://placehold.it/40x40"/>
      <div class="body">
        <h4 class="heading">Media heading</h4>
        <p>Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.</p>
        <div class="media"><img class="image" src="http://placehold.it/40x40"/>
          <div class="body">
            <h4 class="heading">Media heading</h4>
            <p>Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.</p>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

~~~
<div class="media">
  <img class="image" src=".." />
  <div class="body">
    <h4 class="heading">Media heading</h4>
    <p>This paragraph is inside the media body.</p>

    <div class="media">
      <img class="image" />
      <div class="body">
        <h4 class="heading">Media heading</h4>
        <p>This paragraph is inside the media body.</p>
      </div>
    </div>
  </div>
</div>
~~~


## Alignment
Media in a media object can be aligned with flexbox utilities to the top, middle, or end of your `.media-body` content.

<div class="row">
  <div class="column -xs-12">
    <div class="media">
      <img class="image _align-self-top" src="http://placehold.it/40x40"/>
      <div class="body">
        <h4 class="heading">Top-aligned media</h4>
        <p>Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.</p>
      </div>
    </div>
  </div>
</div>

~~~
<div class="media">
  <img class="image _align-self-top" src=".." />
  <div class="body">
    <h4 class="heading">Media heading</h4>
    <p>This paragraph is inside the media body.</p>
  </div>
</div>
~~~

<div class="row">
  <div class="column -xs-12">
    <div class="media">
      <img class="image _align-self-center" src="http://placehold.it/40x40"/>
      <div class="body">
        <h4 class="heading">Center-aligned media</h4>
        <p>Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.</p>
      </div>
    </div>
  </div>
</div>

~~~
<div class="media">
  <img class="image _align-self-center" src=".." />
  <div class="body">
    <h4 class="heading">Media heading</h4>
    <p>This paragraph is inside the media body.</p>
  </div>
</div>
~~~

<div class="row">
  <div class="column -xs-12">
    <div class="media">
      <img class="image _align-self-end" src="http://placehold.it/40x40"/>
      <div class="body">
        <h4 class="heading">Bottom-aligned media</h4>
        <p>Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.</p>
      </div>
    </div>
  </div>
</div>

~~~
<div class="media">
  <img class="image _align-self-end" src=".." />
  <div class="body">
    <h4 class="heading">Media heading</h4>
    <p>This paragraph is inside the media body.</p>
  </div>
</div>
~~~
