---
title: Code
layout: home
---


# Code
Documentation and examples for displaying inline and multiline blocks of code with Inkline.
{: .lead}


## Inline Code
Wrap inline snippets of code with `<code>`. Be sure to escape HTML angle brackets.

For example, `<section>` should be wrapped as inline.

~~~
For example, <code>&lt;section&gt;</code> should be wrapped as inline.
~~~

## Code Blocks
Use `<pre>` to preserve formatting for multiple lines of code. Once again, be sure to escape any angle brackets in the code for proper rendering. You may optionally add the `.-scrollable` class, which will set a max-height of 350px and provide a y-axis scrollbar.

&lt;p&gt;Sample text here..&lt;/p&gt;<br/>
&lt;p&gt;And another line of sample text here..&lt;/p&gt;

~~~
<pre>
  <code>
    <p>Sample text here..</p>
    <p>And another line of sample text here..</p>
  </code>
</pre>
~~~


## Variables
For indicating variables use the `<var>` tag.

<var>y</var> = <var>m</var><var>x</var> + <var>b</var>

~~~
<var>y</var> = <var>m</var><var>x</var> + <var>b</var>
~~~


## User input
Use the `<kbd>` to indicate input that is typically entered via keyboard.

To switch directories, type <kbd>cd</kbd> followed by the name of the directory.<br>
To edit settings, press <kbd><kbd>ctrl</kbd> + <kbd>,</kbd></kbd>

~~~
To switch directories, type <kbd>cd</kbd> followed by the name of the directory.<br>
To edit settings, press <kbd><kbd>ctrl</kbd> + <kbd>,</kbd></kbd>
~~~


## Sample output
For indicating sample output from a program use the `<sample>` tag.

<samp>This text is meant to be treated as sample output from a computer program.</samp>

~~~
<samp>This text is meant to be treated as sample output from a computer program.</samp>
~~~
