---
title: Images
layout: home
---

# Images
Documentation and examples for opting images into responsive behavior  (so they never become larger than their parent elements) and add lightweight styles to them via classes.
{: .lead }


## Responsive Images
Images in Inkline are made responsive with `.-responsive`. To achieve responsiveness, `max-width: 100%;` and `height: auto;` are applied to the image so that it scales with the parent element.

<img class="img -responsive" src="http://placehold.it/1280x320"/>

~~~
<img src=".." class="img -responsive" alt="Responsive Image">
~~~


## Image Thumbnails
In addition to our border-radius utilities, you can use `.-thumbnail` and `.-polaroid` to give an image a bordered appearance.

<img class="img -thumbnail _margin-right-1" src="http://placehold.it/200x200"/>
<img class="img -polaroid" src="http://placehold.it/200x200"/>

~~~
<img src=".." class="img -thumbnail" alt="Thumbnail Image">
<img src=".." class="img -polaroid" alt="Polaroid Image">
~~~


## Aligning Images
Align images with the helper float classes or text alignment classes. Block level images can be centered using the `._margin-x-auto` margin utility class.

<div class="_clearfix">
  <img class="_rounded _float-left" src="http://placehold.it/200x200" alt="Left Aligned Image"/>
  <img class="_rounded _float-right" src="http://placehold.it/200x200" alt="Right Aligned Image"/>
</div>

~~~
<img src=".." class="_rounded _float-left" alt="..">
<img src=".." class="_rounded _float-right" alt="..">
~~~

<div class="_clearfix">
  <img class="_rounded _float-left _margin-right-1 _margin-bottom-1" src="http://placehold.it/200x200" alt="Left Aligned Image"/>
  <img class="_rounded _float-right _margin-left-1 _margin-bottom-1" src="http://placehold.it/200x200" alt="Right Aligned Image"/>
  Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
</div>

~~~
<img src=".." class="_rounded _float-left _margin-right-1 _margin-bottom-1" alt="..">
<img src=".." class="_rounded _float-right _margin-left-1 _margin-bottom-1" alt="..">
<p>Lorem ipsum dolor sit amet..</p>
~~~


<img class="_rounded _display-block _margin-x-auto" src="http://placehold.it/400x200" alt="Centered Block Image"/>

~~~
<img src=".." class="_rounded _display-block _margin-x-auto" alt="..">
~~~


<div class="_text-center"><img class="_rounded" src="http://placehold.it/400x200" alt="Centered Block Image"/></div>

~~~
<div class="_text-center">
  <img src=".." class="_rounded" alt="..">
</div>
~~~
