const path = require('path');
var paths = {
  'src': path.join(__dirname, 'src'),
  'build': path.join(__dirname, 'build'),
  'dist': path.join(__dirname, 'dist'),
  'docs': path.join(__dirname, 'docs'),
  'docs-src': path.join(__dirname, 'docs', 'src'),
  'docs-build': path.join(__dirname, 'docs', 'build'),
  'docs-dist': path.join(__dirname, 'docs', 'dist'),
  'docs-vendors': path.join(__dirname, 'docs', 'vendors', 'inkline'),
  'docs-site': path.join(__dirname, 'docs', '_site')
};



const packages = require('gulp-setup/package.json');
const gulp = require('gulp');
const $ = require('gulp-load-plugins')({ config: packages });
const setup = require('gulp-setup')($, gulp, {
  paths: {
    src: paths['src'],
    build: [
      paths['build'],
      paths['docs-vendors']
    ],
    dist: paths['dist']
  },
  tasks: {
    'jekyll': {
      process: path.join(__dirname, 'tasks', 'jekyll')
    },

    'stylus': {
      paths: {
        build: [
          paths['build'],
          paths['docs-vendors']
        ]
      }
    },

    // 'stylus-docs': {
    //   extends: 'stylus',
    //   paths: paths['docs']
    // },
    // 'javascript-docs': {
    //   extends: 'javascript',
    //   paths: paths['docs']
    // },
    // 'fonts': {
    //   base: 'gulp-setup/bases/base',
    //   paths: paths['docs']
    // },


    'clean': {
      pattern: [
        paths['docs-vendors'],
        paths['docs-build'],
        paths['docs-dist'],
        paths['docs-site']
      ],
      related: {
        watch: false
      }
    },

    'browser-sync': {
      dependencies: ['jekyll']
    }
  }
});
