const vf = require('vinyl-file'),
      vss = require('vinyl-source-stream'),
      vb = require('vinyl-buffer');


module.exports = (gulp, plugins, paths) => {
  return () => {
    // Watch HTML
    gulp.watch(
      plugins['path'].join(paths.src, paths.views, paths.pug), [ 'pug', 'puglint' ]
    );
    gulp.watch(
      plugins['path'].join(paths.src, paths.views, paths.markdown), [ 'pugmd' ]
    );
    gulp.watch(
      plugins['path'].join(paths.build, paths.html)
    ).on('change', plugins['browser-sync'].reload);;

    // Watch CSS
    gulp.watch(
      plugins['path'].join(paths.src, paths.stylus), [ 'styl', 'styllint' ]
    );
    gulp.watch(
      plugins['path'].join(paths.site, paths.stylus), [ 'styl-site', 'styllint' ]
    );
    gulp.watch(
      plugins['path'].join(paths.src, paths.sass), [ 'sass', 'sasslint' ]
    );
    gulp.watch(
      plugins['path'].join(paths.src, paths.css), [ 'css', 'csslint' ]
    );

    // Watch JS
    gulp.watch(
      plugins['path'].join(paths.src, paths.coffeescript), () => {
        return plugins['run-sequence']('coffee', 'coffeelint')
      }
    );
    gulp.watch(
      plugins['path'].join(paths.src, paths.typescript), () => {
        return plugins['run-sequence']('ts', 'tslint')
      }
    );
    gulp.watch(
      plugins['path'].join(paths.src, paths.javascript), () => {
        return plugins['run-sequence']('js', 'jslint')
      }
    );

    // Watch Images
    gulp.watch(
      plugins['path'].join(paths.src, paths.image), [ 'imagemin' ]
    );

    // Watch Images
    gulp.watch(
      plugins['path'].join(paths.src, paths.font), [ 'fonts' ]
    );


    // Reload Jekyll
    gulp.watch(
      plugins['path'].join(paths.site, '_site', '**', '*.*')
    ).on('change', (file) => {
      if (file.path.indexOf('.css') !== -1) {
        vf.readSync(file.path)
          .pipe(vss(file.path))
          .pipe(vb())
          .pipe(plugins['browser-sync'].stream());
      } else {
        plugins['browser-sync'].reload();
      }
    });
  }
}
